<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__cfg__l2cap__application__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_cfg_l2cap_application_t</compoundname>
    <includes local="no">wiced_bt_cfg.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__cfg__l2cap__application__t_1ac5471381321d8df899d68fa1efeb383f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_cfg_l2cap_application_t::max_links</definition>
        <argsstring />
        <name>max_links</name>
        <briefdescription>
<para>Maximum number of application-managed l2cap links (BR/EDR and LE) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" bodystart="176" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" line="176" />
      </memberdef>
      <memberdef id="structwiced__bt__cfg__l2cap__application__t_1a567fdac34d799acec5f7ae07b6e3adee" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_cfg_l2cap_application_t::max_psm</definition>
        <argsstring />
        <name>max_psm</name>
        <briefdescription>
<para>Maximum number of application-managed BR/EDR PSMs. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" bodystart="179" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" line="179" />
      </memberdef>
      <memberdef id="structwiced__bt__cfg__l2cap__application__t_1a95190e166cc3d66d18b92af7c75a0254" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_cfg_l2cap_application_t::max_channels</definition>
        <argsstring />
        <name>max_channels</name>
        <briefdescription>
<para>Maximum number of application-managed BR/EDR channels. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" bodystart="180" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" line="180" />
      </memberdef>
      <memberdef id="structwiced__bt__cfg__l2cap__application__t_1a08e1e372264def21219faa6008054699" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_cfg_l2cap_application_t::max_le_psm</definition>
        <argsstring />
        <name>max_le_psm</name>
        <briefdescription>
<para>Maximum number of application-managed LE PSMs. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" bodystart="183" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" line="183" />
      </memberdef>
      <memberdef id="structwiced__bt__cfg__l2cap__application__t_1a33a77ef0f8a94f32a473cdc3a6d7605d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_cfg_l2cap_application_t::max_le_channels</definition>
        <argsstring />
        <name>max_le_channels</name>
        <briefdescription>
<para>Maximum number of application-managed LE channels. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" bodystart="184" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" line="184" />
      </memberdef>
      <memberdef id="structwiced__bt__cfg__l2cap__application__t_1a7367d62ff8948d7cd48dbb0b2f393754" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_cfg_l2cap_application_t::max_le_l2cap_fixed_channels</definition>
        <argsstring />
        <name>max_le_l2cap_fixed_channels</name>
        <briefdescription>
<para>Maximum number of application managed fixed channels supported (in addition to mandatory channels 4, 5 and 6). </para>
        </briefdescription>
        <detaileddescription>
<para>&gt; </para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" bodystart="187" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" line="187" />
      </memberdef>
      <memberdef id="structwiced__bt__cfg__l2cap__application__t_1a51b9c6bf02cc5892e1258d5062c2449f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_cfg_l2cap_application_t::max_rx_mtu</definition>
        <argsstring />
        <name>max_rx_mtu</name>
        <briefdescription>
<para>Maximum RX MTU allowed. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" bodystart="190" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" line="190" />
      </memberdef>
      <memberdef id="structwiced__bt__cfg__l2cap__application__t_1a9f40bacfb5efdfca86471bd3a3646c8b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_cfg_l2cap_application_t::max_ertm_chnls</definition>
        <argsstring />
        <name>max_ertm_chnls</name>
        <briefdescription>
<para>Maximum ERTM channels. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" bodystart="193" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" line="193" />
      </memberdef>
      <memberdef id="structwiced__bt__cfg__l2cap__application__t_1a1352fb7e4442f3562be7795d2797b612" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_cfg_l2cap_application_t::max_ertm_tx_win</definition>
        <argsstring />
        <name>max_ertm_tx_win</name>
        <briefdescription>
<para>Maximum TX Window. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" bodystart="194" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" line="194" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Settings for application managed L2CAP protocols (optional) </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="195" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" bodystart="174" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_cfg.h" line="175" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__cfg__l2cap__application__t_1a95190e166cc3d66d18b92af7c75a0254" virt="non-virtual"><scope>wiced_bt_cfg_l2cap_application_t</scope><name>max_channels</name></member>
      <member prot="public" refid="structwiced__bt__cfg__l2cap__application__t_1a9f40bacfb5efdfca86471bd3a3646c8b" virt="non-virtual"><scope>wiced_bt_cfg_l2cap_application_t</scope><name>max_ertm_chnls</name></member>
      <member prot="public" refid="structwiced__bt__cfg__l2cap__application__t_1a1352fb7e4442f3562be7795d2797b612" virt="non-virtual"><scope>wiced_bt_cfg_l2cap_application_t</scope><name>max_ertm_tx_win</name></member>
      <member prot="public" refid="structwiced__bt__cfg__l2cap__application__t_1a33a77ef0f8a94f32a473cdc3a6d7605d" virt="non-virtual"><scope>wiced_bt_cfg_l2cap_application_t</scope><name>max_le_channels</name></member>
      <member prot="public" refid="structwiced__bt__cfg__l2cap__application__t_1a7367d62ff8948d7cd48dbb0b2f393754" virt="non-virtual"><scope>wiced_bt_cfg_l2cap_application_t</scope><name>max_le_l2cap_fixed_channels</name></member>
      <member prot="public" refid="structwiced__bt__cfg__l2cap__application__t_1a08e1e372264def21219faa6008054699" virt="non-virtual"><scope>wiced_bt_cfg_l2cap_application_t</scope><name>max_le_psm</name></member>
      <member prot="public" refid="structwiced__bt__cfg__l2cap__application__t_1ac5471381321d8df899d68fa1efeb383f" virt="non-virtual"><scope>wiced_bt_cfg_l2cap_application_t</scope><name>max_links</name></member>
      <member prot="public" refid="structwiced__bt__cfg__l2cap__application__t_1a567fdac34d799acec5f7ae07b6e3adee" virt="non-virtual"><scope>wiced_bt_cfg_l2cap_application_t</scope><name>max_psm</name></member>
      <member prot="public" refid="structwiced__bt__cfg__l2cap__application__t_1a51b9c6bf02cc5892e1258d5062c2449f" virt="non-virtual"><scope>wiced_bt_cfg_l2cap_application_t</scope><name>max_rx_mtu</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>